#pragma once

#include <util/generic/singleton.h>
#include <library/cpp/deprecated/atomic/atomic.h>

#include <wmconsole/version3/wmcutil/monitor_client.h>

namespace NWebmaster {

struct TMonitor : public TMonitorBase {
    TMonitor();

    void Upload() override;

    static TMonitor& Instance() {
        return *Singleton<TMonitor>();
    }

public:
    TSensorData LinksReportSuccess;
    TSensorData LinksReportFailed;
};

} //namespace NWebmaster
